import { Component, OnInit } from '@angular/core';
import {AppService} from '../../services/app.service';

@Component({
  selector: 'app-aside',
  templateUrl: './aside.component.html',
  styleUrls: ['./aside.component.scss']
})

export class AsideComponent implements OnInit {

    /* Navigation items */
    public navItems: Array<object>;

    constructor(public appService: AppService) { }

    ngOnInit() {
        this.navItems = [];
        this.navItems.push({name: 'Kunden', route: '/customer-management', className: 'customer-management'});
        this.navItems.push({name: 'Betreiber', route: '/operators', className: 'operators'});
        this.navItems.push({name: 'Produzenten', route: '/productions', className: 'productions'});
        this.navItems.push({name: 'Service', route: '/service', className: 'service'});
        // this.navItems.push({name: 'Buchhaltung', route: '/accounting', className: 'accounting'});
        // this.navItems.push({name: 'Produktion', route: '/production', className: 'production'});
        // this.navItems.push({name: 'Service', route: '/service', className: 'service'});
        // this.navItems.push({name: 'Technik', route: '/technique', className: 'technique'});
        // this.navItems.push({name: 'Vertrieb', route: '/sales', className: 'sales'});
    }

    /**
     * Logout
     */
    public logout(): void {
        this.appService.logout();
    }

}
